Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.ops
Class TransactionObjectList

    java.lang.Object
      com.sun.mdm.index.ops.TransactionObjectList

public class TransactionObjectList
extends java.lang.Object

Constructor Summary
`TransactionObjectList(java.lang.String euid, java.lang.String startTranNumber, TransactionObject[] tranObjects)` Constructor.

Method Summary
`TransactionObject` | `getCurrentTransaction()` Gets the current transaction.
`java.lang.String` | `getEUID()` Return the euid attribute.
`java.lang.String` | `getStartTransactionNumber()` Return the startTranNumber attribute.
`void` | `moveNext()` Moves to the next transaction.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionObjectList

    public TransactionObjectList(java.lang.String euid,
                                 java.lang.String startTranNumber,
                                 TransactionObject[] tranObjects)

  Constructor.

  Parameters:
    `euid` - EUID of the EnterpriseObject for which the TransactionObjects are to be constructed.
    `startTranNumber` - All transactions from this transaction number.

Method Detail

### getCurrentTransaction

    public TransactionObject getCurrentTransaction()
                                            throws OPSException

  Gets the current transaction.

  Returns:
    current TransactionObject.
  Throws:
    `OPSException`

### getEUID

    public java.lang.String getEUID()

  Return the euid attribute.

  Returns:
    euid attribute.

### getStartTransactionNumber

    public java.lang.String getStartTransactionNumber()

  Return the startTranNumber attribute.

  Returns:
    startTranNumber attribute.

### moveNext

    public void moveNext()

  Moves to the next transaction.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.